org.apache.commons.compress.compressors.lzma

## Class LZMACompressorOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - org.apache.commons.compress.compressors.CompressorOutputStream
    - - org.apache.commons.compress.compressors.lzma.LZMACompressorOutputStream

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable

      public class LZMACompressorOutputStream
      extends CompressorOutputStream

  LZMA compressor.
  Since:
    1.13

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LZMACompressorOutputStream(OutputStream outputStream)` Creates a LZMA compressor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `finish()` Finishes compression without closing the underlying stream.
    `void` | `flush()` Doesn't do anything as `LZMAOutputStream` doesn't support flushing.
    `void` | `write(byte[] buf, int off, int len)`
    `void` | `write(int b)`

    - ### Methods inherited from class java.io.OutputStream

      `write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LZMACompressorOutputStream

          public LZMACompressorOutputStream(OutputStream outputStream)
                                     throws IOException

      Creates a LZMA compressor.
      Parameters:
        `outputStream` - the stream to wrap
      Throws:
        `IOException` - on error

  - ### Method Detail

    - #### write

          public void write(int b)
                     throws IOException

      Specified by:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### write

          public void write(byte[] buf,
                   int off,
                   int len)
                     throws IOException

      Overrides:
        `write` in class `OutputStream`
      Throws:
        `IOException`

    - #### flush

          public void flush()
                     throws IOException

      Doesn't do anything as `LZMAOutputStream` doesn't support flushing.
      Specified by:
        `flush` in interface `Flushable`
      Overrides:
        `flush` in class `OutputStream`
      Throws:
        `IOException`

    - #### finish

          public void finish()
                      throws IOException

      Finishes compression without closing the underlying stream. No more data can be written to this stream after finishing.
      Throws:
        `IOException` - on error

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Overrides:
        `close` in class `OutputStream`
      Throws:
        `IOException`

Copyright © 2016 The Apache Software Foundation. All rights reserved.